// Code scaffolded by goctl. Safe to edit.
// goctl 1.10.1

package userProfile

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"
	"sundynix-micro-go/app/plant/api/internal/logic/userProfile"
	"sundynix-micro-go/app/plant/api/internal/svc"
	"sundynix-micro-go/app/plant/api/internal/types"
	"sundynix-micro-go/common/response"
)

// 更新用户资料
func UpdateUserProfileHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.UpdateProfileReq
		if err := httpx.Parse(r, &req); err != nil {
			response.Fail(w, err.Error())
			return
		}

		l := userProfile.NewUpdateUserProfileLogic(r.Context(), svcCtx)
		err := l.UpdateUserProfile(&req)
		if err != nil {
			response.Fail(w, err.Error())
		} else {
			response.Ok(w)
		}
	}
}
